com.sun.opengl.util.texture.spi

## Class DDSImage.ImageInfo

- java.lang.Object
- - com.sun.opengl.util.texture.spi.DDSImage.ImageInfo

Enclosing class:
  DDSImage

    public static class DDSImage.ImageInfo
    extends Object

Simple class describing images and data; does not encapsulate image format information. User is responsible for transmitting that information in another way.

### Constructor Summary

Constructors
Constructor and Description
`DDSImage.ImageInfo(ByteBuffer data, int width, int height, boolean compressed, int compressionFormat)`

### Method Summary

Methods
`int` `getCompressionFormat()`
`ByteBuffer` `getData()`
`int` `getHeight()`
`int` `getWidth()`
`boolean` `isCompressed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DDSImage.ImageInfo

    public DDSImage.ImageInfo(ByteBuffer data,
                      int width,
                      int height,
                      boolean compressed,
                      int compressionFormat)

### Method Detail

#### getWidth

    public int getWidth()

#### getHeight

    public int getHeight()

#### getData

    public ByteBuffer getData()

#### isCompressed

    public boolean isCompressed()

#### getCompressionFormat

    public int getCompressionFormat()